Package com.sun.jna.platform.win32.COM

## Interface IRecordInfo

- All Superinterfaces:
    `IUnknown`
  All Known Implementing Classes:
    `RecordInfo`, `RecordInfo.ByReference`

      public interface IRecordInfo
      extends IUnknown

  Wrapper class for the IRecordInfo interface.
  Author:
    Tobias Wolf, wolf.tobias@gmx.net

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static Guid.IID` | `IID_IRecordInfo` |

    - ### Fields inherited from interface com.sun.jna.platform.win32.COM.IUnknown

      `IID_IUNKNOWN`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `WinNT.HRESULT` | `GetField​(WinDef.PVOID pvData, WString szFieldName, Variant.VARIANT pvarField)` |
    `WinNT.HRESULT` | `GetFieldNames​(WinDef.ULONG pcNames, WTypes.BSTR rgBstrNames)` |
    `WinNT.HRESULT` | `GetFieldNoCopy​(WinDef.PVOID pvData, WString szFieldName, Variant.VARIANT pvarField, WinDef.PVOID ppvDataCArray)` |
    `WinNT.HRESULT` | `GetGuid​(Guid.GUID pguid)` |
    `WinNT.HRESULT` | `GetName​(WTypes.BSTR pbstrName)` |
    `WinNT.HRESULT` | `GetSize​(WinDef.ULONG pcbSize)` |
    `WinNT.HRESULT` | `GetTypeInfo​(ITypeInfo ppTypeInfo)` |
    `WinDef.BOOL` | `IsMatchingType​(IRecordInfo pRecordInfo)` |
    `WinNT.HRESULT` | `PutField​(WinDef.ULONG wFlags, WinDef.PVOID pvData, WString szFieldName, Variant.VARIANT pvarField)` |
    `WinNT.HRESULT` | `PutFieldNoCopy​(WinDef.ULONG wFlags, WinDef.PVOID pvData, WString szFieldName, Variant.VARIANT pvarField)` |
    `WinNT.HRESULT` | `RecordClear​(WinDef.PVOID pvExisting)` |
    `WinNT.HRESULT` | `RecordCopy​(WinDef.PVOID pvExisting, WinDef.PVOID pvNew)` |
    `WinDef.PVOID` | `RecordCreate()` |
    `WinNT.HRESULT` | `RecordCreateCopy​(WinDef.PVOID pvSource, WinDef.PVOID ppvDest)` |
    `WinNT.HRESULT` | `RecordDestroy​(WinDef.PVOID pvRecord)` |
    `WinNT.HRESULT` | `RecordInit​(WinDef.PVOID pvNew)` |

    - ### Methods inherited from interface com.sun.jna.platform.win32.COM.IUnknown

      `AddRef, QueryInterface, Release`

- - ### Field Detail

    - #### IID_IRecordInfo

          static final Guid.IID IID_IRecordInfo

  - ### Method Detail

    - #### RecordInit

          WinNT.HRESULT RecordInit​(WinDef.PVOID pvNew)

    - #### RecordClear

          WinNT.HRESULT RecordClear​(WinDef.PVOID pvExisting)

    - #### RecordCopy

          WinNT.HRESULT RecordCopy​(WinDef.PVOID pvExisting,
                                   WinDef.PVOID pvNew)

    - #### GetGuid

          WinNT.HRESULT GetGuid​(Guid.GUID pguid)

    - #### GetName

          WinNT.HRESULT GetName​(WTypes.BSTR pbstrName)

    - #### GetSize

          WinNT.HRESULT GetSize​(WinDef.ULONG pcbSize)

    - #### GetTypeInfo

          WinNT.HRESULT GetTypeInfo​(ITypeInfo ppTypeInfo)

    - #### GetField

          WinNT.HRESULT GetField​(WinDef.PVOID pvData,
                                 WString szFieldName,
                                 Variant.VARIANT pvarField)

    - #### GetFieldNoCopy

          WinNT.HRESULT GetFieldNoCopy​(WinDef.PVOID pvData,
                                       WString szFieldName,
                                       Variant.VARIANT pvarField,
                                       WinDef.PVOID ppvDataCArray)

    - #### PutField

          WinNT.HRESULT PutField​(WinDef.ULONG wFlags,
                                 WinDef.PVOID pvData,
                                 WString szFieldName,
                                 Variant.VARIANT pvarField)

    - #### PutFieldNoCopy

          WinNT.HRESULT PutFieldNoCopy​(WinDef.ULONG wFlags,
                                       WinDef.PVOID pvData,
                                       WString szFieldName,
                                       Variant.VARIANT pvarField)

    - #### GetFieldNames

          WinNT.HRESULT GetFieldNames​(WinDef.ULONG pcNames,
                                      WTypes.BSTR rgBstrNames)

    - #### IsMatchingType

          WinDef.BOOL IsMatchingType​(IRecordInfo pRecordInfo)

    - #### RecordCreate

          WinDef.PVOID RecordCreate()

    - #### RecordCreateCopy

          WinNT.HRESULT RecordCreateCopy​(WinDef.PVOID pvSource,
                                         WinDef.PVOID ppvDest)

    - #### RecordDestroy

          WinNT.HRESULT RecordDestroy​(WinDef.PVOID pvRecord)